> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get count reports for devices at location

> Get count reports by device for a specified location



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getCountReportsForDevicesAtLocation
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getCountReportsForDevicesAtLocation:
    post:
      tags:
        - Report Webservice
      summary: Get count reports for devices at location
      description: Get count reports by device for a specified location
      operationId: getCountReportsForDevicesAtLocation
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Report_GetCountReportsForDevicesAtLocationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report_GetCountReportsWSResponse'
          description: OK
components:
  schemas:
    Report_GetCountReportsForDevicesAtLocationWSRequest:
      type: object
      description: >-
        Request object for getting count reports for devices at a specific
        location.
      properties:
        endTimeMs:
          type: integer
          format: int64
          description: End timestamp in epoch milliseconds.
          minimum: 0
          nullable: true
        interval:
          $ref: '#/components/schemas/ReportIntervalEnum'
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start timestamp in epoch milliseconds.
          minimum: 0
          nullable: true
        type:
          $ref: '#/components/schemas/ReportTypeEnum'
      required:
        - endTimeMs
        - interval
        - locationUuid
        - startTimeMs
        - type
    Report_GetCountReportsWSResponse:
      type: object
      description: Response object for getting count reports.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        timeSeriesDataPointsMap:
          type: object
          additionalProperties:
            type: array
            description: Map of UUIDs to their time series data points
            items:
              $ref: '#/components/schemas/TimeSeriesDataPointV2Type'
            nullable: true
          description: Map of UUIDs to their time series data points
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ReportIntervalEnum:
      type: string
      description: Report interval for filtering face events
      enum:
        - MINUTELY
        - QUARTERHOURLY
        - HOURLY
        - DAILY
        - WEEKLY
        - MONTHLY
    ReportTypeEnum:
      type: string
      description: Type of report to receive
      enum:
        - CROWD
        - PEOPLE
        - FACES
        - MOTION
        - BANDWIDTH
        - VEHICLES
        - LICENSEPLATES
        - ALERTS
        - AM_VERIFICATION
        - DWELL
    TimeSeriesDataPointV2Type:
      type: object
      description: Map of UUIDs to their time series data points
      properties:
        dateLocal:
          type: string
          nullable: true
        dateUtc:
          type: string
          nullable: true
        eventCountMap:
          type: object
          additionalProperties:
            type: integer
            format: int64
            nullable: true
          nullable: true
        reportingDevicesMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: DeviceFacetUuid
              description: RUUID with optional appended facet information
              example: AAAAAAAAAAAAAAAAAAAAAA.v0
              nullable: true
            nullable: true
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````